Subject: Qt Apps cant make use of qtwayland due to QT_PLUGIN_PATH '= wrapping
From: Brendan Tildesley <[email-masked]>
To: [email-masked]
Date: Wed, 16 Sep 2020 21:16:50 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

qt-build-system wraps variables such as QT_PLUGIN_PATH  with  '= instead 
of prefix, so when qtwayland is installed in a profile or included in 
the environment, the application fails to see it. Programs run with 
export QT_QPA_PLATFORM=wayland-egl will fail to launch.

We could:

 1. Use 'prefix so that the parent environment's variables are appended
    and users have to manually install qtwayland them selves.
 2. Include qtwayland as an input to every qt package somehow. Can the
    build system do that? Considering that Wayland seems to be the
    future, I feel that Qt GUI applications should support it by
    default. I mean, wayland is in the closure of qtbase anyway.
 3. Both? Why is '= used anyway?

How should this be done?